# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteFilter

Packages that use IRemoteFilter
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.servlet
org.eclipse.ecf.remoteservice.util
org.eclipse.ecf.remoteservice.util.tracker

## Uses of IRemoteFilter in org.eclipse.ecf.provider.remoteservice.generic

Classes in org.eclipse.ecf.provider.remoteservice.generic that implement IRemoteFilter
Modifier and Type
Class
Description
`class`
`RemoteFilterImpl`
Methods in org.eclipse.ecf.provider.remoteservice.generic that return IRemoteFilter
Modifier and Type
Method
Description
`IRemoteFilter`
RegistrySharedObject.`createRemoteFilter(String filter)`
`IRemoteFilter`
RemoteServiceContainer.`createRemoteFilter(String filter)`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteFilter
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
RemoteServiceRegistryImpl.`lookupServiceReferences(String clazz, IRemoteFilter filter)`

## Uses of IRemoteFilter in org.eclipse.ecf.remoteservice

Classes in org.eclipse.ecf.remoteservice that implement IRemoteFilter
Modifier and Type
Class
Description
`class`
`RemoteServiceFilterImpl`
Methods in org.eclipse.ecf.remoteservice that return IRemoteFilter
Modifier and Type
Method
Description
`IRemoteFilter`
IRemoteServiceConsumer.`createRemoteFilter(String filter)`
Creates a `IRemoteFilter` object.
`IRemoteFilter`
IRemoteServiceContainerAdapter.`createRemoteFilter(String filter)`
Creates a `IRemoteFilter` object.
`IRemoteFilter`
RemoteServiceContainerAdapterImpl.`createRemoteFilter(String filter)`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteFilter
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
RemoteServiceRegistryImpl.`lookupServiceReferences(String clazz, IRemoteFilter filter)`

## Uses of IRemoteFilter in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client that return IRemoteFilter
Modifier and Type
Method
Description
`IRemoteFilter`
AbstractClientContainer.`createRemoteFilter(String filter)`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteFilter
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getAllRemoteServiceReferences(String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID[] idFilter, String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID target, String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, IRemoteFilter filter)`

## Uses of IRemoteFilter in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet that return IRemoteFilter
Modifier and Type
Method
Description
`IRemoteFilter`
ServletServerContainer.`createRemoteFilter(String filter)`

## Uses of IRemoteFilter in org.eclipse.ecf.remoteservice.util

Classes in org.eclipse.ecf.remoteservice.util that implement IRemoteFilter
Modifier and Type
Class
Description
`class`
`RemoteFilterImpl`

## Uses of IRemoteFilter in org.eclipse.ecf.remoteservice.util.tracker

Fields in org.eclipse.ecf.remoteservice.util.tracker declared as IRemoteFilter
Modifier and Type
Field
Description
`protected final IRemoteFilter`
RemoteServiceTracker.`filter`
Filter specifying search criteria for the services to track.